cancel
Showing results for 
Search instead for 
Did you mean: 

swagger 2.0 and openapi 3.0 in the same api defintion

Highlighted
Occasional Contributor

swagger 2.0 and openapi 3.0 in the same api defintion

Hello there,

 

I am trying to maintain swagger 2.0 specifications along with openapi 3.0 in the same API, as two different versions. I have created openapi 3.0 first and trying to create a version for Swagger 2.0, however the new version gets generated out of the existing version and then I get an error that the version cannot be downgraded.

 

Could you please help in getting this sorted out? 

 

Thanks

Mayank